CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes
csl::SynchPthread Class Reference

PThread version of Sync. More...

`#include <ThreadUtilities.h>`

Inheritance diagram for csl::SynchPthread:

List of all members.

## Public Member Functions
| SynchPthread ()
| ~SynchPthread ()
int | lock ()
int | unlock ()
int | condWait ()
int | condSignal ()

## Static Public Member Functions
static Synch * | MakeSynch ()
| Factory method Utilities.

## Public Attributes
pthread_mutex_t | mMutex
pthread_cond_t | mCond

## Detailed Description

PThread version of Sync.

Definition at line 68 of file ThreadUtilities.h.

## Constructor & Destructor Documentation

SynchPthread::SynchPthread | ( |  | ) |

Definition at line 50 of file ThreadUtilities.cpp.

References mCond, and mMutex.

SynchPthread::~SynchPthread | ( |  | ) |

Definition at line 55 of file ThreadUtilities.cpp.

References mCond, and mMutex.

## Member Function Documentation

int SynchPthread::lock | ( |  | ) |
| virtual

Implements csl::Synch.

Definition at line 62 of file ThreadUtilities.cpp.

References mMutex.

Referenced by Controller::get_data(), Controller::get_position(), and Controller::set_data().

int SynchPthread::unlock | ( |  | ) |
| virtual

Implements csl::Synch.

Definition at line 64 of file ThreadUtilities.cpp.

References mMutex.

Referenced by Controller::get_data(), Controller::get_position(), and Controller::set_data().

int SynchPthread::condWait | ( |  | ) |
| virtual

Implements csl::Synch.

Definition at line 66 of file ThreadUtilities.cpp.

References mCond, and mMutex.

int SynchPthread::condSignal | ( |  | ) |
| virtual

Implements csl::Synch.

Definition at line 68 of file ThreadUtilities.cpp.

References mCond.

Synch * Synch::MakeSynch | ( |  | ) |
| static inherited

Factory method Utilities.

Definition at line 44 of file ThreadUtilities.cpp.

Referenced by csl::NullIO::NullIO(), and csl::StdIO::StdIO().

## Member Data Documentation

pthread_mutex_t csl::SynchPthread::mMutex

Definition at line 73 of file ThreadUtilities.h.

Referenced by condWait(), lock(), SynchPthread(), unlock(), and ~SynchPthread().

pthread_cond_t csl::SynchPthread::mCond

Definition at line 74 of file ThreadUtilities.h.

Referenced by condSignal(), condWait(), SynchPthread(), and ~SynchPthread().

The documentation for this class was generated from the following files:

- CSL/Utilities/ThreadUtilities.h
- CSL/Utilities/ThreadUtilities.cpp